PDA

View Full Version : Clouding thickness variation



jgratton
2004-11-05, 05:51 PM
The following is being used here on all vanilla Autocad drawings. (We also use third party software on our piping drawing that has its own clouding routine but this is not a problem.)
The problem is we can't seem to control the segment width of the cloud; it depends on the length between picks. We would like all our clouds to appear the same thickness when plotted. We plot everything to fit 11X17, but most of our drawings are actually 726X508 (mm)


; CLouD.LSP < Great CLOUD Routine > Ed Gyulai 2002-03-20
; < based off an older routine that did not work well. >

(defun C:CLD ()
(setq clay (getvar "clayer"))

(if (tblsearch "LAYER" "Clouds")
(command "-layer" "t" "Clouds" "m" "Clouds"
"c" "1" "Clouds" "" "-color"
"bylayer"
)
(command "-layer" "m" "Clouds" "c" "1" "Clouds" "" "-color"
"bylayer")
) ;if

(princ)
(setvar "cmdecho" 0)
(setq p1 (getpoint "\n - Pick CLOUD start point: ")
p2 p1
dia1 (getdist p1 "\n - Show Next Point of Cloud ... ")
) ;
(setq w1 (* dia1 0.04))
(prompt "\n - Freehand Cloud, then return to start ....")
(command "pline" p1 "w" w1 w1 "a" "a" "125")
(while p1
(setq p3 (cadr (grread 1)))
(if (> (distance p1 p3) dia1)
(progn
(command p3 "a" "125")
(setq p1 p3)
)
)
(if (> (distance p1 p3) (distance p2 p3))
(progn
(command p2 "cl")
(setq p1 nil)
)
)
) ;if;while
(command "plinewid" "0")
(command "-layer" "s" clay "")
(princ
"\n - Cloud Completed... <note: normal direction is counter-clockwise>"
)
(princ)
);end
;(c:CLD)

CAB2k
2004-11-06, 01:21 AM
Chek my Polyline to cloud routine
http://forums.augi.com/showthread.php?t=5829&highlight=pl2cloud

;;; Command: PL2Cloud
;;; Dialog Box is displayed unless there is a problem
;;; Then the command line version is as follows
;;; Enter method to get polyline. [Pick / Draw / Options / Shadow] <Pick>:
;;; Keep the original polyline [Yes No] <No>:y
;;; Pick Polyline to cloud:
;;;
;;; Options: Command Line Version
;;; Pick - allows user to pick an existing poly line
;;; Draw - allows user to draw a new polyline
;;; Shadow - toggles the shadow effect on/off
;;; Options - Change Arc Angle, makes arcs fatter or thinner
;;; Change the chord length of the arcs

kennet.sjoberg
2004-11-08, 07:44 AM
Hi Janet

replace the line :
(setq w1 (* dia1 0.04))
with
(setq w1 0 )

Happy Computing !

kennet

ps. nice little "self drawing" routine ; )

jgratton
2004-11-08, 11:20 PM
Thanks for giving me the fix, Kennet. That did the trick!